BillKit/Docs Console
Tenant

Get portal branding

Read how your billing portal is branded.

GET/v1/tenant/portal_branding
Operation get_portal_branding · Scope tenant:read · Spec snapshot 2026-09-13

Parameters

This endpoint takes no parameters.

Returns

Returns a TenantPortalBrandingResponse object.

Errors

Status Cause
401 Missing or invalid API key.
403 Key is missing the tenant:read scope.
429 Rate limited. Back off and retry.
Request · curl
curl -X GET https://api.billkit.eu/v1/tenant/portal_branding \
  -H "Authorization: Bearer $BILLKIT_SECRET_KEY"
Response · 200 OK
{
  "business_name": "Ada Lovelace",
  "capabilities": {
    "checkout_header": false,
    "coupons": false,
    "cycle_enabled": false,
    "invoice_pdf": false,
    "powered_by": false,
    "show_features": false
  },
  "effective_business_name": "",
  "effective_support_email": "",
  "logo_url": "https://acme.example/welcome",
  "object": "tenant_portal_branding",
  "support_email": "ada@example.com",
  "theme": {
    "display": "string",
    "font": "string",
    "on_primary": "string",
    "palette": "studio",
    "powered_by": false,
    "primary": "string",
    "primary_100": "string",
    "primary_50": "string",
    "primary_600": "string",
    "radius": 0,
    "stub_a": "string",
    "stub_b": "string"
  }
}